Difference between revisions of "Arch Rebar ColumnReinforcement TwoTiesSixRebars/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "Category:Reinforcement/it")
 
(57 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{docnav/it|[[Arch_Rebar_ColumnReinforcement/it|ColumnReinforcement]]|[[Arch_Rebar_BeamReinforcement/it|BeamReinforcement]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_ColumnReinforcement.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar_BeamReinforcement.svg}}
+
{{Docnav/it|[[Arch_Rebar_ColumnReinforcement/it|Armatura di pilastro]]|[[Arch_Rebar_BeamReinforcement/it|Armatura di trave]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_ColumnReinforcement.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar_BeamReinforcement.svg}}
  
{{GuiCommand
+
{{GuiCommand/it
|Name=Arch Rebar ColumnReinforcement
+
|Name=Arch_Rebar_ColumnReinforcement
|MenuLocation=Arch → Rebar tools
+
|Name/it=Armatura di pilastro
|Workbenches=[[Arch Workbench|Arch]], [[BIM Workbench|BIM]]
+
|MenuLocation=Arch → Strumenti armatura → Armatura di colonna o BIM → 3D/BIM → Reinforcement → Column Reinforcement
|SeeAlso=[[Arch_Rebar_ColumnReinforcement|Column Reinforcement]], [[Arch_Rebar_BeamReinforcement|Beam Reinforcement]]
+
|Workbenches=[[Arch Workbench/it|Arch]], [[BIM Workbench/it|BIM]]
 +
|SeeAlso=[[Arch_Rebar_ColumnReinforcement/it|Armatura di pilastro]], [[Arch_Rebar_BeamReinforcement/it|Armatura di trave]]
 
|Version=0.19
 
|Version=0.19
 
}}
 
}}
  
==Description==
+
==Descrizione==
  
The [[Arch Rebar ColumnReinforcement_TwoTiesSixRebars|Column Reinforcement]] tool allows the user to create reinforcing bars inside a Column [[Arch Structure]] object.
+
Lo strumento [[Arch Rebar ColumnReinforcement_TwoTiesSixRebars/it|Armatura di pilastro con due staffe e sei barre]] consente all'utente di creare delle barre di rinforzo all'interno di un oggetto [[Arch Structure/it|Struttura]] Pilastro.
  
This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]] via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.
+
The [[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars|Column Reinforcement TwoTiesSixRebars]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].
 +
 
 +
Questo comando fa parte dell'ambiente [[Reinforcement Workbench/it|Reinforcement]], un [[External workbenches/it|ambiente esterno]] che si può installare con [[Image:AddonManager.svg|24px]] [[Addon Manager/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
  
 
[[Image:Arch_Rebar_ColumnReinforcement_TwoTies_example.png|400px]]
 
[[Image:Arch_Rebar_ColumnReinforcement_TwoTies_example.png|400px]]
{{Caption|TwoTiesSixRebars Column Reinforcement inside a Column [[Arch Structure]]}}
 
  
==How to use==
+
{{Caption|Armatura di pilastro tipo due staffe sei barre all'interno di una [[Arch Structure/it|Struttura]] pilastro}}
 +
 
 +
==Utilizzo==
 +
 
 +
1. Selezionare una faccia di un oggetto {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/it|Struttura]]}} creato precedentemente. <br>
 +
2. Quindi selezionare  {{Button|[[Image:Arch_Rebar_ColumnReinforcement.svg|16px]] [[Arch Rebar ColumnReinforcement/it|Armatura di pilastro]]}} dagli strumenti armatura. <br>
 +
3. Sullo schermo appare una finestra di dialogo come mostrato sotto. <br>
 +
 
 +
[[Image:ColumnReinforcementDialog_Ties.png|700px]]
 +
 
 +
{{Caption|Finestra di dialogo per lo strumento Armatura di pilastro}}
 +
 
 +
4. Selezionare il tipo di rinforzo di colonna TwoTiesSixRebars dal menu a discesa sul lato destro. <br>
 +
 
 +
[[Image:TwoTiesColumnReinforcementDialog_Ties.png|700px]]
  
1. Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}} object. <br>
+
{{Caption|Finestra di dialogo per lo strumento Armatura di pilastro di tipo due staffe e sei barre}}
2. Then select  {{Button|[[Image:Arch_Rebar_ColumnReinforcement.svg|16px]] [[Arch Rebar ColumnReinforcement|Column Reinforcement]]}} from the rebar tools. <br>
 
3. A dialog box will pop-out on screen as shown below. <br>
 
[[Image:ColumnReinforcementDialog_Ties.png|700px]]{{Caption|Dialog Box for the Arch Rebar ColumnReinforcement tool}}
 
  
4. Select the TwoTiesSixRebars type of column reinforcement from drop down menu on right side. <br>
+
5. Fornire input per i dati relativi ai legami. <br>
[[Image:TwoTiesColumnReinforcementDialog_Ties.png|700px]]{{Caption|Dialog Box for the TwoTiesSixRebars ColumnReinforcement}}
+
6. Fare clic su {{Button|Avanti}} e la finestra di dialogo verrà aggiornata come mostrato sotto. <br>
  
5. Give inputs for data related to ties. <br>
+
[[Image:TwoTiesColumnReinforcementDialog_MainRebars.png|700px]]
6. Click next and dialog box will be updated as shown below. <br>
 
[[Image:TwoTiesColumnReinforcementDialog_MainRebars.png|700px]]{{Caption|Dialog Box for Main Rebars data}}
 
  
7. Select desired rebar type and fill data for main rebars. <br>
+
{{Caption|Finestra di dialogo per i dati dell'armatura principale}}
8. Click {{Button|OK}} or {{Button|Apply}} to generate column reinforcement. <br>
 
9. Click {{Button|Cancel}} to exit the dialog box. <br>
 
  
 +
11. Selezionare il tipo di armatura desiderata e compilare i dati per le armature in direzione y. <br>
 +
12. Cliccare su {{Button|OK}} o su {{Button|Applica}} per generare il rinforzo del pilastro. <br>
 +
13. Cliccare su {{Button|Cancella}} per uscire dalla finestra di dialogo. <br>
  
==Properties==  
+
== Proprietà ==  
  
 
'''Ties:'''
 
'''Ties:'''
Line 64: Line 76:
 
* {{PropertyData|Diameter}}: Diameter of the main rebars.
 
* {{PropertyData|Diameter}}: Diameter of the main rebars.
  
==Scripting==
+
==Script==
  
{{Emphasis|See also:}} [[Arch API]], [[Reinforcement API]] and [[FreeCAD Scripting Basics]].
+
{{Emphasis|Vedere anche:}} [[Arch API/it|API Arch]], [[Reinforcement API/it|API di Reinforcement]] e [[FreeCAD Scripting Basics/it|Basi di script per FreeCAD]].
  
The ColumnReinforcement tool can be used in [[macros]] and from the [[Python]] console by using the following function:
+
Lo strumento Armatura di pilastro può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
  
 
=== Create Two Ties Six Rebars ===
 
=== Create Two Ties Six Rebars ===
 +
 
{{Code|code=
 
{{Code|code=
 
RebarGroup = makeTwoTiesSixRebars(
 
RebarGroup = makeTwoTiesSixRebars(
Line 98: Line 111:
 
}}
 
}}
  
* Creates a {{incode|RebarGroup}} object from the given {{incode|structure}}, which is an [[Arch Structure]], and {{incode|facename}}, which is a face of that structure.
+
* Creates a {{incode|RebarGroup}} object from the given {{incode|structure}}, which is an [[Arch Structure|Arch Structure]], and {{incode|facename}}, which is a face of that structure.
 
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
 
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
 
* {{incode|l_cover_of_ties}}, {{incode|r_cover_of_ties}}, {{incode|t_cover_of_ties}}, {{incode|b_cover_of_ties}} and {{incode|offset_of_ties}} are inner offset distances for the tie elements with respect to the faces of the structure. They are respectively the left, right, top, bottom and front/rear offsets.
 
* {{incode|l_cover_of_ties}}, {{incode|r_cover_of_ties}}, {{incode|t_cover_of_ties}}, {{incode|b_cover_of_ties}} and {{incode|offset_of_ties}} are inner offset distances for the tie elements with respect to the faces of the structure. They are respectively the left, right, top, bottom and front/rear offsets.
Line 115: Line 128:
 
* {{incode|ties_sequence}} is the sequence of ties from top to bottom with respect to front view; it can be {{incode|("Tie1", "Tie2")}} or {{incode|("Tie2", "Tie1")}}.
 
* {{incode|ties_sequence}} is the sequence of ties from top to bottom with respect to front view; it can be {{incode|("Tie1", "Tie2")}} or {{incode|("Tie2", "Tie1")}}.
  
==== Example ====
+
====Esempio====
 +
 
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft, Arch
 
import FreeCAD, Draft, Arch
 
from ColumnReinforcement import TwoTiesSixRebars
 
from ColumnReinforcement import TwoTiesSixRebars
  
# It doesn't work if the structure is not based on a face
+
# Non funziona se la struttura non si basa su una faccia
 
# Structure = Arch.makeStructure(length=1000, width=400, height=400)
 
# Structure = Arch.makeStructure(length=1000, width=400, height=400)
  
Line 128: Line 142:
 
FreeCAD.ActiveDocument.recompute()
 
FreeCAD.ActiveDocument.recompute()
  
# For Straight Rebars
+
# Per armature diritte
 +
 
 
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
 
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
 
     l_cover_of_ties=40,         
 
     l_cover_of_ties=40,         
Line 153: Line 168:
 
)
 
)
  
# For LShaped Rebars with hook along x-axis
+
# Per barre a forma di L con gancio lungo l'asse x
  
 
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
 
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
Line 179: Line 194:
 
)
 
)
  
# For LShaped Rebars with hook along y-axis and tie sequence ("Tie2", "Tie1")
+
# For LShaped Rebars with hook along y-axis and tie sequence
 +
 +
("Tie2", "Tie1")
  
 
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
 
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
Line 209: Line 226:
 
=== Edition of Two Ties Six Rebars ===
 
=== Edition of Two Ties Six Rebars ===
 
You can change the properties of the ties and rebars with the following function
 
You can change the properties of the ties and rebars with the following function
 +
 
{{Code|code=
 
{{Code|code=
 
rebar_group = editTwoTiesSixRebars(
 
rebar_group = editTwoTiesSixRebars(
Line 241: Line 259:
 
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.
 
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.
  
==== Example ====
+
====Esempio====
 +
 
 
{{Code|code=
 
{{Code|code=
 
from ColumnReinforcement import TwoTiesSixRebars
 
from ColumnReinforcement import TwoTiesSixRebars
Line 272: Line 291:
 
}}
 
}}
  
{{docnav/it|[[Arch_Rebar_ColumnReinforcement/it|ColumnReinforcement]]|[[Arch_Rebar_BeamReinforcement/it|BeamReinforcement]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_ColumnReinforcement.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar_BeamReinforcement.svg}}
+
{{Docnav/it|[[Arch_Rebar_ColumnReinforcement/it|Armatura di pilastro]]|[[Arch_Rebar_BeamReinforcement/it|Armatura di trave]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_ColumnReinforcement.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar_BeamReinforcement.svg}}
  
{{Arch Tools navi/it}}
+
{{Arch Tools navi{{#translation:}}}}
  
{{Userdocnavi/it}}
+
{{Userdocnavi{{#translation:}}}}
  
[[Category:Reinforcement/it]]
+
[[Category:Reinforcement{{#translation:}}]]

Latest revision as of 21:11, 23 September 2020

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Arch Rebar ColumnReinforcement.svg Armatura di pilastro Pagina precedente:
Pagina successiva: Armatura di trave Arch Rebar BeamReinforcement.svg Arrow-right.svg

Arch Rebar ColumnReinforcement.svg Armatura di pilastro

Nome nel codice
Arch_Rebar_ColumnReinforcement
Posizione nel menu
Arch → Strumenti armatura → Armatura di colonna o BIM → 3D/BIM → Reinforcement → Column Reinforcement
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Armatura di pilastro, Armatura di trave


Descrizione

Lo strumento Armatura di pilastro con due staffe e sei barre consente all'utente di creare delle barre di rinforzo all'interno di un oggetto Struttura Pilastro.

The Column Reinforcement TwoTiesSixRebars tool is also integrated into BIM Workbench.

Questo comando fa parte dell'ambiente Reinforcement, un ambiente esterno che si può installare con AddonManager.svg Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar ColumnReinforcement TwoTies example.png

Armatura di pilastro tipo due staffe sei barre all'interno di una Struttura pilastro


Utilizzo

1. Selezionare una faccia di un oggetto Arch Structure.svg Struttura creato precedentemente.
2. Quindi selezionare Arch Rebar ColumnReinforcement.svg Armatura di pilastro dagli strumenti armatura.
3. Sullo schermo appare una finestra di dialogo come mostrato sotto.

ColumnReinforcementDialog Ties.png

Finestra di dialogo per lo strumento Armatura di pilastro


4. Selezionare il tipo di rinforzo di colonna TwoTiesSixRebars dal menu a discesa sul lato destro.

TwoTiesColumnReinforcementDialog Ties.png

Finestra di dialogo per lo strumento Armatura di pilastro di tipo due staffe e sei barre


5. Fornire input per i dati relativi ai legami.
6. Fare clic su Avanti e la finestra di dialogo verrà aggiornata come mostrato sotto.

TwoTiesColumnReinforcementDialog MainRebars.png

Finestra di dialogo per i dati dell'armatura principale


11. Selezionare il tipo di armatura desiderata e compilare i dati per le armature in direzione y.
12. Cliccare su OK o su Applica per generare il rinforzo del pilastro.
13. Cliccare su Cancella per uscire dalla finestra di dialogo.

Proprietà

Ties:

  • DataLeft Cover: The distance between the left end of the tie to the left face of the structure.
  • DataRight Cover: The distance between the right end of the tie to right face of the structure.
  • DataTop Cover: The distance between tie from the top face of the structure.
  • DataBottom Cover: The distance between tie from the bottom face of the structure.
  • DataOffset: The distance between tie from the top/bottom face of the structure.
  • DataDiameter: Diameter of the tie.
  • DataBent Angle: Bent angle defines the angle at the ends of a tie.
  • DataExtension Factor: Extension Factor defines length of end of tie, expressed in times the diameter.
  • DataNumber: The number of ties.
  • DataSpacing: The distance between the axes of each tie.
  • DataTies Sequence: The sequence of ties from top to bottom with respect to front view.


Main Rebars: Rebars present at corners of tie

  • DataRebar Type: Type of main rebars.
  • DataHook Orientation: Orientation of LShaped hooks.
  • DataHook Extend Along: Direction for hook extension.
  • DataHook Extension: Length of hook of LShape rebars.
  • DataRounding: A rounding value to be applied to the corners of the LShape rebars, expressed in times the diameter.
  • DataTop Offset: The distance between rebar from the top face of the structure.
  • DataBottom Offset: The distance between rebar from the bottom face of the structure.
  • DataDiameter: Diameter of the main rebars.

Script

Vedere anche: API Arch, API di Reinforcement e Basi di script per FreeCAD.

Lo strumento Armatura di pilastro può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Create Two Ties Six Rebars

RebarGroup = makeTwoTiesSixRebars(
    l_cover_of_ties,
    r_cover_of_ties,
    t_cover_of_ties,
    b_cover_of_ties,
    offset_of_ties,
    bent_angle_of_ties,
    extension_factor_of_ties,
    dia_of_ties,
    number_spacing_check,
    number_spacing_value,
    dia_of_main_rebars,
    t_offset_of_rebars,
    b_offset_of_rebars,
    main_rebars_type="StraightRebar",
    hook_orientation="Top Inside",
    hook_extend_along="x-axis",
    l_rebar_rounding=None,
    hook_extension=None,
    ties_sequence=("Tie1", "Tie2"),
    structure=None,
    facename=None,
)
  • Creates a RebarGroup object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • l_cover_of_ties, r_cover_of_ties, t_cover_of_ties, b_cover_of_ties and offset_of_ties are inner offset distances for the tie elements with respect to the faces of the structure. They are respectively the left, right, top, bottom and front/rear offsets.
  • bent_angle_of_ties define the angle of the tip of the reinforcement loop of tie elements.
  • extension_factor_of_ties define the length of the tip of the reinforcement loop of tie elements, expressed in times the diameter of tie elements.
  • dia_of_ties is the diameter of the tie elements.
  • number_spacing_check if it is True it will create as many two ties sets as given by number_spacing_value; if it is False it will create two ties sets separated by the numerical value of number_spacing_value.
  • number_spacing_value specifies the number of two ties sets, or the value of the separation between the sets, depending on number_spacing_check.
  • dia_of_main_rebars is the diameter of the main rebars.
  • t_offset_of_rebars and b_offset_of_rebars are inner offset distances for the main rebars with respect to the top and bottom faces of the structure, respectively.
  • main_rebars_type is the type of the main rebars; it can be "StraightRebar" or "LShapeRebar".
  • hook_orientation specifies the orientation of LShaped hook; it can be: "Top Inside", "Top Outside", "Bottom Inside", "Bottom Outside", "Top Right", "Top Left", "Bottom Right" or "Bottom Left".
  • hook_extend_along specifies direction for hook extension; it can be "x-axis" or "y-axis".
  • l_rebar_rounding is the parameter that determines the bending radius of the LShaped main rebars, expressed as times the diameter.
  • hook_extension is the length of hook of LShaped rebars.
  • ties_sequence is the sequence of ties from top to bottom with respect to front view; it can be ("Tie1", "Tie2") or ("Tie2", "Tie1").

Esempio

import FreeCAD, Draft, Arch
from ColumnReinforcement import TwoTiesSixRebars

# Non funziona se la struttura non si basa su una faccia
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

# Per armature diritte

RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
    l_cover_of_ties=40,        
    r_cover_of_ties=40,
    t_cover_of_ties=40,
    b_cover_of_ties=40,
    offset_of_ties=100,
    bent_angle_of_ties=135,
    extension_factor_of_ties=2,
    dia_of_ties=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    t_offset_of_rebars=40,
    b_offset_of_rebars=40,
    main_rebars_type="StraightRebar",
    hook_orientation="Top Inside",
    hook_extend_along="x-axis",
    l_rebar_rounding=None,
    hook_extension=None,
    ties_sequence=("Tie1", "Tie2"),
    structure=Structure,
    facename="Face6",
)

# Per barre a forma di L con gancio lungo l'asse x

RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
    l_cover_of_ties=40,
    r_cover_of_ties=40,
    t_cover_of_ties=40,
    b_cover_of_ties=40,
    offset_of_ties=100,
    bent_angle_of_ties=135,
    extension_factor_of_ties=2,
    dia_of_ties=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    t_offset_of_rebars=-40,
    b_offset_of_rebars=-40,
    main_rebars_type="LShapeRebar",
    hook_orientation="Top Outside",
    hook_extend_along="x-axis",
    l_rebar_rounding=2,
    hook_extension=40,
    ties_sequence=("Tie1", "Tie2"),
    structure=Structure,
    facename="Face6",
)

# For LShaped Rebars with hook along y-axis and tie sequence
 
("Tie2", "Tie1")

RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
    l_cover_of_ties=40,        
    r_cover_of_ties=40,
    t_cover_of_ties=40,
    b_cover_of_ties=40,
    offset_of_ties=100,
    bent_angle_of_ties=135,
    extension_factor_of_ties=2,
    dia_of_ties=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    t_offset_of_rebars=-40,
    b_offset_of_rebars=-40,
    main_rebars_type="LShapeRebar",
    hook_orientation="Top Outside",
    hook_extend_along="y-axis",
    l_rebar_rounding=2,
    hook_extension=40,
    ties_sequence=("Tie2", "Tie1"),
    structure=Structure,
    facename="Face6",
)

Edition of Two Ties Six Rebars

You can change the properties of the ties and rebars with the following function

rebar_group = editTwoTiesSixRebars(
    rebar_group,
    l_cover_of_ties,
    r_cover_of_ties,
    t_cover_of_ties,
    b_cover_of_ties,
    offset_of_ties,
    bent_angle_of_ties,
    extension_factor_of_ties,
    dia_of_ties,
    number_spacing_check,
    number_spacing_value,
    dia_of_main_rebars,
    t_offset_of_rebars,
    b_offset_of_rebars,
    main_rebars_type="StraightRebar",
    hook_orientation="Top Inside",
    hook_extend_along="x-axis",
    l_rebar_rounding=None,
    hook_extension=None,
    ties_sequence=("Tie1", "Tie2"),
    structure=None,
    facename=None,
)
  • rebar_group is a previously created ColumnReinforcement group object.
  • The other parameters are the same as required by the makeSingleTieFourRebars() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.

Esempio

from ColumnReinforcement import TwoTiesSixRebars

rebar_group = TwoTiesSixRebars.editTwoTiesSixRebars(
    rebar_group,                                
    l_cover_of_ties=40,        
    r_cover_of_ties=40,
    t_cover_of_ties=40,
    b_cover_of_ties=40,
    offset_of_ties=100,
    bent_angle_of_ties=135,
    extension_factor_of_ties=2,
    dia_of_ties=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    t_offset_of_rebars=-40,
    b_offset_of_rebars=-40,
    main_rebars_type="LShapeRebar",
    hook_orientation="Top Outside",
    hook_extend_along="x-axis",
    l_rebar_rounding=2,
    hook_extension=40,
    ties_sequence=("Tie2", "Tie1"),
    structure=None,
    facename=None,
)
Arrow-left.svg Arch Rebar ColumnReinforcement.svg Armatura di pilastro Pagina precedente:
Pagina successiva: Armatura di trave Arch Rebar BeamReinforcement.svg Arrow-right.svg